Page MenuHomePhabricator

[Bug] Latin Wikipedia has a stretched logo (was `Create and use the Latin wikipedia (VICIPÆDIA) wordmark on mobile site`)
Closed, ResolvedPublic

Description

Currently

The logo on Latin Wikipedia has been replaced, however it is currently stretched. The SVG is 113x18 but it's displaying at 117x21.

Previously

Currently, the Latin wikipedia mobile site (https://la.m.wikipedia.org/) uses the English "WIKIPEDIA" wordmark (https://la.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-en.svg) both at the top and near the bottom of the page.

It would be great if a Latin wordmark svg using the word "VICIPÆDIA" could be created and placed at https://la.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-la.svg (currently HTTP 404), and if afterwards the mobile site could be configured to use this new Latin wordmark instead of the English one.

Event Timeline

I tried to make one. Is that okay?

@UV It's actually faster if you or someone creates the logo first. You just need to keep on the text part and crop the rest out from the desktop logo and vectorize it, and then submit it here. For example see the desktop logo of English Wikipedia and mobile logo. Any developer can submit a patch then. I can perform technical cleanups on the SVG and for design review we have @alexhollender.

Nevermind, I didn't realize @Ciao57 already created a wordmark.

I tried to make one. Is that okay?

Thanks. It looks OK to me, I will leave the rest to @alexhollender for review. I have minified the code.

Change 557439 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Add minerva custom log for la.wiki

https://gerrit.wikimedia.org/r/557439

The wordmark looks good. I attempted to make a new SVG file without the extra whitespace.

The wordmark looks good. I attempted to make a new SVG file without the extra whitespace.

I updated the patch

I updated the patch

Ok awesome, is there somewhere I should test/review this?

I updated the patch

Ok awesome, is there somewhere I should test/review this?

It will hopefully be deployed to Beta Cluster tomorrow Tuesday, 08, so you can verify it there. In the meantime I hacked it up locally though :).

I'm unable to access la.wikipedia on the beta cluster. Based on the screenshot here (T240728#5778454) I'm fine with moving this to signoff.

ovasileva added a subscriber: ovasileva.

looks good, resolving

Reopening. Not resolved yet.

https://la.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-la.png gives a 404 error.
https://la.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-la.svg gives a 404 error.
https://la.m.wikipedia.org/ still shows the English "WIKIPEDIA" wordmark both at the top and near the bottom of the page, not a "VICIPÆDIA" one.

The patch (https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/557439/) needs to be reviewed and deployed in a SWAT window. Not yet resolved indeed.

The patch (https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/557439/) needs to be reviewed and deployed in a SWAT window. Not yet resolved indeed.

Per comments, I think patch is good to go on SWAT, but I (if someone another can't schedule) can schedule only for Morning SWAT which is in Wednesday because I'm not at home before 16:00 UTC+1 because of school.

The patch (https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/557439/) needs to be reviewed and deployed in a SWAT window. Not yet resolved indeed.

'Resolved' does not necessarily mean a patch is deployed.

'Resolved' does not necessarily mean a patch is deployed.

Hmm… Shouldn't it, though (when that's required to accomplish the goal of the task)?

The patch (https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/557439/) needs to be reviewed and deployed in a SWAT window. Not yet resolved indeed.

'Resolved' does not necessarily mean a patch is deployed.

It is for us: "A report is given the Resolved status when a code change that fixes the reported problem has been merged in Gerrit [...]". Considering that rOMWC Wikimedia - MediaWiki Config patches are merged and deployed at the same time, the closure of this task as resolved was not correct.

I scheduled patch for tomorrow Morning SWAT.

Jdlrobson added a subscriber: Jdlrobson.
In T240728#5818531, @Zoranzoki21 wrote:

I scheduled patch for tomorrow Morning SWAT.

Doesn't look like this happened.

In T240728#5818531, @Zoranzoki21 wrote:

I scheduled patch for tomorrow Morning SWAT.

Doesn't look like this happened.

Actually he did https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=prev&oldid=1851319

In T240728#5818531, @Zoranzoki21 wrote:

I scheduled patch for tomorrow Morning SWAT.

Doesn't look like this happened.

Actually he did https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=prev&oldid=1851319

But I wasn't available on IRC, patch needs to be scheduled again.

In T240728#5834658, @Zoranzoki21 wrote:
In T240728#5818531, @Zoranzoki21 wrote:

I scheduled patch for tomorrow Morning SWAT.

Doesn't look like this happened.

Actually he did https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=prev&oldid=1851319

But I wasn't available on IRC, patch needs to be scheduled again.

I have different view about that presence on IRC. If error were to occur after the deployment, there's nothing that you can do from your end to avert or mitigate it.

Hi all there are a lot of people getting unnecessarily confused on this patch. I'm keen to avoid this sort of thing happening again.

If you plan a deployment please make sure you can make the window. It's essential the person deploying has the Wikimedia debug extension and can verify the deploy before it is synced. In the case of logos we cache images very aggressively so a mistake in this can be costly - lead to a broken logo displaying in production for some period of time until a cache flush is arranged.

If you are not 100% sure make a swat window please dont schedule. If you don't show please be wary you are wasting others time (i for example am interested in testing). Good communication is just as important as the patch itself. Of course there will always be occasions that it's unavoidable but please communicate promptly when these happen out of respect for others.

This task is not resolved until the patch is deployed and tested. In future if you are working on a config patch as a rule of thumb please ensure it is deployed within a week of the patch being written. If you can't commit to that, please dont write the commit!

Can anyone commit the time to getting this deployed? If not on this occasion I am happy to do so on the understanding this kind of thing does not happen again.

Hi all there are a lot of people getting unnecessarily confused on this patch. I'm keen to avoid this sort of thing happening again.

If you plan a deployment please make sure you can make the window. It's essential the person deploying has the Wikimedia debug extension and can verify the deploy before it is synced. In the case of logos we cache images very aggressively so a mistake in this can be costly - lead to a broken logo displaying in production for some period of time until a cache flush is arranged.

If you are not 100% sure make a swat window please dont schedule. If you don't show please be wary you are wasting others time (i for example am interested in testing). Good communication is just as important as the patch itself. Of course there will always be occasions that it's unavoidable but please communicate promptly when these happen out of respect for others.

This task is not resolved until the patch is deployed and tested. In future if you are working on a config patch as a rule of thumb please ensure it is deployed within a week of the patch being written. If you can't commit to that, please dont write the commit!

Can anyone commit the time to getting this deployed? If not on this occasion I am happy to do so on the understanding this kind of thing does not happen again.

Hello, I scheduled patch for Morning SWAT in Monday, February 03.

Change 557439 merged by jenkins-bot:
[operations/mediawiki-config@master] Add minerva custom log for la.wiki

https://gerrit.wikimedia.org/r/557439

Mentioned in SAL (#wikimedia-operations) [2020-02-03T12:37:52Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: SWAT: 5f13c19: Add minerva custom log for la.wiki (T240728; 1/2) (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2020-02-03T12:40:05Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 5f13c19: Add minerva custom log for la.wiki (T240728; 2/2) (duration: 01m 06s)

Deployed finally!

The logo is stretched. The SVG is 113x19 but it's displaying at 117*21

We should either revert or fix this patch. Moving to upcoming for discussion on next steps.

Jdlrobson renamed this task from Create and use the Latin wikipedia (VICIPÆDIA) wordmark on mobile site to [Bug] Latin Wikipedia has a stretched logo (was `Create and use the Latin wikipedia (VICIPÆDIA) wordmark on mobile site`).Feb 11 2020, 1:53 PM

Change 571838 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[operations/mediawiki-config@master] Fix latin Wikipedia (VICIPÆDIA) wordmark

https://gerrit.wikimedia.org/r/571838

ovasileva triaged this task as Medium priority.Feb 13 2020, 11:31 AM

Change 571838 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix Latin Wikipedia (VICIPÆDIA) wordmark and set size correctly

https://gerrit.wikimedia.org/r/571838

Mentioned in SAL (#wikimedia-operations) [2020-02-19T00:41:36Z] <jforrester@deploy1001> Synchronized static/images/mobile/copyright/: T240728 Sync logo images (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2020-02-19T01:01:52Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T240728 Fix Latin Wikipedia (VICIPÆDIA) wordmark and set size correctly (duration: 01m 06s)